## protonate

Main Table of Contents

VERSION 3.2.0
Sun 25 Jan 2004

### Description

`protonate` reads (a) conformation(s) and adds all missing hydrogens as defined in `ffgmx2.hdb`. If only `-s` is specified, this conformation will be protonated, if also `-f` is specified, the conformation(s) will be read from this file which can be either a single conformation or a trajectory.

If a pdb file is supplied, residue names might not correspond to to the GROMACS naming conventions, in which case these residues will probably not be properly protonated.

If an index file is specified, please note that the atom numbers should correspond to the protonated state.

### Files

option | filename | type | description
--- | --- | --- | ---
`-s` | `topol.tpr` | Input | Structure+mass(db): tpr tpb tpa gro g96 pdb xml
`-f` | `traj.xtc` | Input, Opt. | Generic trajectory: xtc trr trj gro g96 pdb
`-n` | `index.ndx` | Input, Opt. | Index file
`-o` | `protonated.xtc` | Output | Generic trajectory: xtc trr trj gro g96 pdb

### Other options

option | type | default | description
--- | --- | --- | ---
`-[no]h` | bool | `no` | Print help info and quit
`-nice` | int | `0` | Set the nicelevel
`-b` | time | `-1` | First frame (ps) to read from trajectory
`-e` | time | `-1` | Last frame (ps) to read from trajectory
`-dt` | time | `-1` | Only use frame when t MOD dt = first time (ps)

http://www.gromacs.org
gromacs@gromacs.org